Subject: Re: [PATCH v3] send-email: prompt-dependent exit codes

From: Oswald Buddenhagen <[email-masked]>
Date: Tue, 8 Aug 2023 21:11:24 +0200

On Tue, Aug 08, 2023 at 09:08:56AM -0700, Junio C Hamano wrote:
>This behaviour change is, even among Git developers, not a bugfix but 
>is a new feature that not everybody would want to be subjected to.
>
that's debatable, depending on one's expectations. at the very least 
it's an enabler for bugfixes.

>It always is the safest to make such a backward incompatible change a 
>strictly opt-in feature.
>
well, yes. the question is whether we expect non-trivial problems 
arising from imposing it on unsuspecting users. and given that there is 
an (opportunity) cost of having it opt-in only, there is a trade-off. my 
gut feeling is that having it always-on is probably better.

regards